Invalidate Cache Namespace
POST /obp/v7.0.0/management/cache/namespaces/invalidate
OBPv6.0.0-invalidateCacheNamespace Roles: CanInvalidateCacheNamespace CacheSystemAPI
Invalidates a cache namespace by incrementing its version counter.
This provides instant cache invalidation without deleting individual keys. Incrementing the version counter makes all keys with the old version unreachable.
Available namespace IDs: call_counter, rl_active, rd_localised, rd_dynamic, rd_static, rd_all, swagger_static, connector, metrics_stable, metrics_recent, abac_rule
Use after updating rate limits, translations, endpoints, or CBS data.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (1)
- namespace_id
- namespace_id
JSON response body fields (4)
- namespace_id
- namespace_id
- new_version
- new_version
- old_version
- old_version
- status
Example request body
{
"namespace_id": "rd_localised"
}Example success response
{
"namespace_id": "rd_localised",
"old_version": 1,
"new_version": 2,
"status": "invalidated"
}Possible errors (4)
- OBP-10001: Incorrect json format.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.